CVE-2017-13685

NameCVE-2017-13685
DescriptionThe dump_callback function in SQLite 3.20.0 allows remote attackers to ...
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
Debian Bugs873762

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
sqlite3 (PTS)jessie, jessie (lts)3.8.7.1-1+deb8u6vulnerable
stretch3.16.2-5+deb9u1vulnerable
stretch (security)3.16.2-5+deb9u3vulnerable
buster3.27.2-3+deb10u1fixed
bullseye3.34.0-1fixed
sid3.34.1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
sqlite3source(unstable)3.20.1-1unimportant873762

Notes

https://sqlite.org/src/info/02f0f4c54f2819b3
http://www.mail-archive.com/sqlite-users%40mailinglists.sqlite.org/msg105314.html
Crash in the command-line shell program, not the the core SQLite library.

Search for package or bug name: Reporting problems